Nux!


Home » Repos » Report a problem or request a package » VLC 2.0.4 on Stella 6.3 (edited by symbianflo)
VLC 2.0.4 on Stella 6.3 [message #684] Wed, 28 November 2012 01:52 Go to next message
kwag is currently offline  kwag
Messages: 10
Registered: November 2012
Location: Puerto Rico
Junior Member
Hello,

Is there a built VLC 2.0.4 RPM for Stella?

I have a lot of my music encoded with the new OPUS codec, and it works fine with VLC 2.0.4 on other distros.
I haven't installed Stella yet, because I need VLC 2.0.4
Also, does Firefox 15 (or higher) run on Stella? Because it also has integrated OPUS, so it would be an alternative to VLC, in the mean time.

Thanks

[Updated on: Mon, 10 December 2012 22:14] by Moderator

Report message to a moderator

Re: VLC 2.4.0 on Stella 6.3 [message #685 is a reply to message #684] Wed, 28 November 2012 07:15 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1659
Registered: January 2012
Senior Member
Administrator

Hello,

I'll look into backporting the newer VLC for Stella and update you.

The distro, just like CentOS, comes with Firefox ESR, but you can simply download the Firefox archive from mozilla.com, extract and execute the "firefox" binary within, it should just work. You can even make that the "default browser" and use it instead of stock Firefox.

Re: VLC 2.4.0 on Stella 6.3 [message #690 is a reply to message #684] Wed, 28 November 2012 14:45 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1659
Registered: January 2012
Senior Member
Administrator

Kwag,

I've built vlc 2.0.4 for x86_64, let me know if the below works for you.
yum --enablerepo=nux-dextop-testing update vlc
Re: VLC 2.4.0 on Stella 6.3 [message #742 is a reply to message #690] Sun, 09 December 2012 16:47 Go to previous messageGo to next message
kwag is currently offline  kwag
Messages: 10
Registered: November 2012
Location: Puerto Rico
Junior Member
Thanks nux.

I tried it, but it doesn't work Sad
I think the OPUS codec is not compiled in.

Here's the error reported on VLC:

Quote:
No suitable decoder module:
VLC does not support the audio or video format "Opus". Unfortunately there is no way for you to fix this.
No suitable decoder module:
VLC does not support the audio or video format "Opus". Unfortunately there is no way for you to fix this.


For anyone who wants to test how OPUS sounds, try loading the links here with either VLC 2.0.4+ or Firefox 15+: smj.delfa.net/

Or the ones from absoluteradio, who are already testing live streams here: www.absoluteradio.co.uk/listen/labs.html

EDIT: BTW, loving Stella Wink

[Updated on: Sun, 09 December 2012 16:48]

Report message to a moderator

Re: VLC 2.4.0 on Stella 6.3 [message #743 is a reply to message #684] Sun, 09 December 2012 16:49 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1659
Registered: January 2012
Senior Member
Administrator

Alright, I'll look at it again.

Nice that Absolute Radio are promoting Opus!
Re: VLC 2.4.0 on Stella 6.3 [message #745 is a reply to message #684] Sun, 09 December 2012 18:32 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1659
Registered: January 2012
Senior Member
Administrator

yum --enablerepo=nux-dextop-testing update vlc


Try again now, should work, I've backported the opus libs from Fedora. Very nice sound from Absolute Radio Smile
Re: VLC 2.4.0 on Stella 6.3 [message #746 is a reply to message #745] Sun, 09 December 2012 18:45 Go to previous messageGo to next message
kwag is currently offline  kwag
Messages: 10
Registered: November 2012
Location: Puerto Rico
Junior Member
Ok thanks!

I just tested, but no go here Sad

I did a uninstall of VLC, then I reinstalled.

Again, I get this: No suitable decoder module:
VLC does not support the audio or video format "Opus". Unfortunately there is no way for you to fix this.

I also tried to open a .opus file, and I also get the same message

Maybe I'm doind something wrong, or missing something?

This is the stream I'm trying to play: radioserver1.delfa.net/64.opus
Re: VLC 2.4.0 on Stella 6.3 [message #747 is a reply to message #684] Sun, 09 December 2012 19:27 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1659
Registered: January 2012
Senior Member
Administrator

The latest build does work with Absolute radio as well as with the link you provided (nice music).
Make sure to clean your metadata:

yum --enablerepo=nux-dextop-testing clean all && yum --enablerepo=nux-dextop-testing update vlc


By the end of it you should be running version vlc-2.0.4-2.el6.nux.x86_64.
Re: VLC 2.4.0 on Stella 6.3 [message #748 is a reply to message #747] Sun, 09 December 2012 23:34 Go to previous messageGo to next message
kwag is currently offline  kwag
Messages: 10
Registered: November 2012
Location: Puerto Rico
Junior Member
nux wrote on Sun, 09 December 2012 15:27
The latest build does work with Absolute radio as well as with the link you provided (nice music).
Make sure to clean your metadata:

yum --enablerepo=nux-dextop-testing clean all && yum --enablerepo=nux-dextop-testing update vlc


By the end of it you should be running version vlc-2.0.4-2.el6.nux.x86_64.


WONDERFUL! Very Happy
That was it. I didn't do a clean.

Thanks!
Re: VLC 2.4.0 on Stella 6.3 [message #749 is a reply to message #748] Mon, 10 December 2012 01:10 Go to previous messageGo to next message
kwag is currently offline  kwag
Messages: 10
Registered: November 2012
Location: Puerto Rico
Junior Member
Nux,

Would it be too much to ask, if you could compile the opus tools and add it to your repo?

downloads.xiph.org/releases/opus/opus-tools-0.1.5.tar.gz

I tried, but I get "error: newer libogg version (1.3 or later) required" when I run ./configure

I don't want to break the core elements by forcing an install of a newer version of libogg.

Just want to know if this is possible.

Thanks again.

BTW: Could you change the thread topic to read "VLC 2.0.4 on Stella 6.3" instead of "VLC 2.4.0 on Stella 6.3" My bad!
Re: VLC 2.4.0 on Stella 6.3 [message #757 is a reply to message #749] Mon, 10 December 2012 22:20 Go to previous messageGo to next message
symbianflo is currently offline  symbianflo
Messages: 176
Registered: January 2012
Location: italy
Senior Member

kwag wrote on Mon, 10 December 2012 01:10
Nux,

Would it be too much to ask, if you could compile the opus tools and add it to your repo?

downloads.xiph.org/releases/opus/opus-tools-0.1.5.tar.gz

I tried, but I get "error: newer libogg version (1.3 or later) required" when I run ./configure

I don't want to break the core elements by forcing an install of a newer version of libogg.

Just want to know if this is possible.

Thanks again.

BTW: Could you change the thread topic to read "VLC 2.0.4 on Stella 6.3" instead of "VLC 2.4.0 on Stella 6.3" My bad!


Hmm then you should try an older version of opus tools ,
pkgconfig(vorbis) have different triggers , according to the version....,
or ask nux to backport a newer ogg-vorbis stack.
Re: VLC 2.0.4 on Stella 6.3 [message #762 is a reply to message #684] Tue, 11 December 2012 10:50 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1659
Registered: January 2012
Senior Member
Administrator

An older version will not work. It needs the version specified in the error message. This means upgrading libogg which is not really ok to do. Maybe providing something like libogg13 instead might work. Have to think about this.
Re: VLC 2.0.4 on Stella 6.3 [message #765 is a reply to message #762] Tue, 11 December 2012 14:51 Go to previous messageGo to next message
kwag is currently offline  kwag
Messages: 10
Registered: November 2012
Location: Puerto Rico
Junior Member
nux wrote on Tue, 11 December 2012 06:50
An older version will not work. It needs the version specified in the error message. This means upgrading libogg which is not really ok to do. Maybe providing something like libogg13 instead might work. Have to think about this.

How about building libogg on a local dir, and symlinking from /usr/local/lib or /usr/lib/ to the local dir, so any other programs won't break?

Maybe just do a make and NOT the "make install", to keep the libs locally?

Just an idea.

I sure don't want to break my stella, because it's running just beautifully! Smile

Thanks again
Re: VLC 2.0.4 on Stella 6.3 [message #770 is a reply to message #684] Tue, 11 December 2012 19:11 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1659
Registered: January 2012
Senior Member
Administrator

Well, you could install libogg 1.3 in /usr/local/libogg or /opt/libogg and then build opus-tools against that.

Re: VLC 2.0.4 on Stella 6.3 [message #773 is a reply to message #770] Tue, 11 December 2012 20:14 Go to previous messageGo to next message
symbianflo is currently offline  symbianflo
Messages: 176
Registered: January 2012
Location: italy
Senior Member

nux wrote on Tue, 11 December 2012 19:11
Well, you could install libogg 1.3 in /usr/local/libogg or /opt/libogg and then build opus-tools against that.


to be found by the configure scripts has to be in LD, so you only pollute the system , make it unstable, if you install in /opt, it is not available systemwide, if you don't linking it
in LDFLAGS,you could launch ./configure --with-path option but IF builds, if, when launched will search for the system wide ogg version witch is too old , so here we are again....
IMO , if you choose stella you choose NO CUTTING EDGE ... but stability ... you can not have both Very Happy

[Updated on: Tue, 11 December 2012 20:15]

Report message to a moderator

Re: VLC 2.0.4 on Stella 6.3 [message #777 is a reply to message #773] Wed, 12 December 2012 03:32 Go to previous messageGo to next message
kwag is currently offline  kwag
Messages: 10
Registered: November 2012
Location: Puerto Rico
Junior Member
symbianflo wrote on Tue, 11 December 2012 16:14
nux wrote on Tue, 11 December 2012 19:11
Well, you could install libogg 1.3 in /usr/local/libogg or /opt/libogg and then build opus-tools against that.


to be found by the configure scripts has to be in LD, so you only pollute the system , make it unstable, if you install in /opt, it is not available systemwide, if you don't linking it
in LDFLAGS,you could launch ./configure --with-path option but IF builds, if, when launched will search for the system wide ogg version witch is too old , so here we are again....
IMO , if you choose stella you choose NO CUTTING EDGE ... but stability ... you can not have both Very Happy

Yes, I agree. I prefer stability anytime! That's why I came to Stella Smile
BUT I think this is a very important piece of technology (OPUS), and I think it's just a matter of (short) time before Internet stations start to change to this format, because it saves a hell of bandwidth! And mp3's or even aac+ are no contest for this format.
So it would be nice to be able to encode on Stella, and not have to use "Insert Another OS Here" to encode Rolling Eyes
Re: VLC 2.0.4 on Stella 6.3 [message #781 is a reply to message #684] Wed, 12 December 2012 23:30 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1659
Registered: January 2012
Senior Member
Administrator

Kwag,

If Opus becomes so popular we'll find some way to provide it. For the moment the "opus" package builds just fine and VLC plays Opus streams just fine, too. So no problems yet.
Why do you need opus-tools, though?
Re: VLC 2.0.4 on Stella 6.3 [message #783 is a reply to message #781] Thu, 13 December 2012 03:23 Go to previous messageGo to next message
kwag is currently offline  kwag
Messages: 10
Registered: November 2012
Location: Puerto Rico
Junior Member
nux wrote on Wed, 12 December 2012 19:30
Kwag,

Why do you need opus-tools, though?

Because it contais "opusenc", which is what I was using to encode my FLAC collection. I use FLAC -d then pipe the output to opusenc.

Re: VLC 2.0.4 on Stella 6.3 [message #787 is a reply to message #684] Fri, 14 December 2012 18:15 Go to previous messageGo to next message
nux is currently offline  nux
Messages: 1659
Registered: January 2012
Senior Member
Administrator

BTW "opus" has landed in EPEL (but no opus-tools).
Re: VLC 2.0.4 on Stella 6.3 [message #793 is a reply to message #787] Sat, 15 December 2012 17:12 Go to previous messageGo to next message
kwag is currently offline  kwag
Messages: 10
Registered: November 2012
Location: Puerto Rico
Junior Member
nux wrote on Fri, 14 December 2012 14:15
BTW "opus" has landed in EPEL (but no opus-tools).

Thanks for the news Smile
I guess it's just a matter of time. That's the only thing I'm missing!
In the mean time, I'm just encoding on another machine.

Cheers!
Re: VLC 2.0.4 on Stella 6.3 [message #832 is a reply to message #793] Mon, 24 December 2012 23:26 Go to previous messageGo to next message
MrNice is currently offline  MrNice
Messages: 108
Registered: December 2012
Location: Ireland
Senior Member
Hi,

I installed VLC on a new Stella install.
VLC in the repo is 2.03. After clean/update with the above command (testing), I have now 2.05.

Seems to work correctly so far.
Re: VLC 2.0.4 on Stella 6.3 [message #833 is a reply to message #684] Tue, 25 December 2012 00:18 Go to previous message
nux is currently offline  nux
Messages: 1659
Registered: January 2012
Senior Member
Administrator

Yes, 2.0.5 is in nux-dextop-testing. I'll need to update the one in main at some point after the holidays.

Previous Topic: galculator, mousepad, abiword
Next Topic: Youtube Problem
Goto Forum:
  


Current Time: Sun Jun 16 20:35:56 BST 2019

Total time taken to generate the page: 0.02292 seconds